Show sidebar
Filter by
PODZIAŁKA ▼
Roller diameter - D2 [mm] ▼
Roller diameter - D4 [mm] ▼
Side plates height - H [mm] ▼
Brottlast svetsad konstruktion - BL-WE [kN] ▼

Roller chain Tsubaki RFC2040 LAMBDA CL – ANSI Double Pitch LAMBDA

Roller chain Tsubaki RFC2040-S LAMBDA RP – ANSI Double Pitch LAMBDA

Roller chain Tsubaki RFC2040S LAMBDA OL – ANSI Double Pitch LAMBDA (Offset Link)

Roller chain Tsubaki RFC2050 LAMBDA CL – ANSI Double Pitch LAMBDA

Roller chain Tsubaki RFC2050-S LAMBDA RP – ANSI Double Pitch LAMBDA

Roller chain Tsubaki RFC2050S LAMBDA OL – ANSI Double Pitch LAMBDA (Offset Link)

Roller chain Tsubaki RFC2060 LAMBDA CL – ANSI Double Pitch LAMBDA

Roller chain Tsubaki RFC2060-S LAMBDA OL – ANSI Double Pitch LAMBDA (Offset Link)

Roller chain Tsubaki RFC2060-S LAMBDA RP – ANSI Double Pitch LAMBDA

Roller chain Tsubaki RSC40 HP LAMBDA – ANSI Single Pitch LAMBDA Hollow Pin (HP)

Roller chain Tsubaki RSC40 HP LAMBDA CL (SC) – ANSI Single Pitch LAMBDA Hollow Pin (HP) (Connecting Link – spring clip type)

Roller chain Tsubaki RSC40 HP LAMBDA OL – ANSI Single Pitch LAMBDA Hollow Pin (HP) (Offset Link)